Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/vgo: git submodules are not downloaded #24094

Closed
tgulacsi opened this issue Feb 24, 2018 · 3 comments

Comments

@tgulacsi
Copy link

commented Feb 24, 2018

What version of Go are you using (go version)?

1.10

What operating system and processor architecture are you using (go env)?

linux/amd64

What did you do?

:gthomas@redpath: ~/src/github.com/tgulacsi/go/dbcsv/csvdump
$ vgo build -o /tmp/csvdump
vgo: resolving import "gopkg.in/goracle.v2"
vgo: finding gopkg.in/goracle.v2 (latest)
vgo: adding gopkg.in/goracle.v2 v1.1.15-gopkgin-v2.1.15
# gopkg.in/goracle.v2
../../../../../v/gopkg.in/goracle.v2@v1.1.15-gopkgin-v2.1.15/conn.go:20:10: fatal error: 'dpiImpl.h' file not found
#include "dpiImpl.h"
         ^~~~~~~~~~~
1 error generated.

One issue is that vgo resolves gopkg.in/goracle.v2 as gopkg.in/goracle.v2 v1.1.15-gopkgin-v2.1.15, even if I put gopkg.in/goracle.v2/v2 v2.1.15 into the go.mod file,

another issue is that though it downloads goracle.v2, it does not download its odpi submodule.
Will submodules be supported, or should we find a workaround?
(Workaround: use go generate to download the submodule and rsync into another dir)
If possible, provide a recipe for reproducing the error.

@gopherbot gopherbot added this to the vgo milestone Feb 24, 2018

@tgulacsi

This comment has been minimized.

Copy link
Author

commented Feb 24, 2018

I can confirm that copying the C source out from the submodule solves as a workaround.

@rsc

This comment has been minimized.

Copy link
Contributor

commented Mar 30, 2018

Submodules will not be supported, sorry. That's getting back into the version control detail world that we're trying to get "go get" out of.

@rsc rsc closed this Mar 30, 2018

@myitcv myitcv changed the title x/vgo: submodules are not downloaded x/vgo: git submodules are not downloaded Apr 13, 2018

@myitcv

This comment has been minimized.

Copy link
Member

commented Apr 13, 2018

Just updated the title here to confirm this discussion is about git submodules not being supported. As distinct from vgo Go modules (and submodules).

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
4 participants
You can’t perform that action at this time.